
--This file deals with the Starman's Revenge Civ by StarMan_Dx
--It originally exists because Starman Deluxe replaces Washington, making it a bit more difficult to do unique dialogue for him than I'd like
--I can easily fix that by defining a Starman DX leader HERE, but I figured while I'm at it, why not have some fun change some other things around
--That said, I've designed this file with modularity in mind, so if you don't like a change of mine, simply disable it
--Or if you don't like any of them, disable the file. Both mods will still work just fine


--Table Used to enable / disable aspects of changes
--Do not edit!
CREATE TABLE MMEagle_StarmanDX
		(Type,			Value);

INSERT INTO MMEagle_StarmanDX
		(Type,			Value)
VALUES	('MMSTARMAN_REPLACE_AMERICA',			0), --Should America still be replaced? 
		('MMSTARMAN_MANI_CHANGES',				1),	--Changes to the Mani Mani Statue
		('MMSTARMAN_STARMEN_USE_PSI',			1), --Allow Starmen to use PSI
		('MMSTARMAN_STARMEN_CHANGES',			1); --Changes to Starmen


--===================================
--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

--EDIT THE FOLLOWING TO MAKE CHANGES!

--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
--===================================

-- =====================
-- Should America still be disabled?
-- Default: 0 (No)
-- Change 'Value' to 1 to keep America nonplayable
-- =====================
UPDATE MMEagle_StarmanDX

SET Value = 0

WHERE Type = 'MMSTARMAN_REPLACE_AMERICA';

-- ======================
-- Allow EarthBound: Eagleland to make changes to the Mani Mani Statue
-- Default: 1 (Yes)
-- Moves the Mani Mani Statue to Drama and Poetry, gives a 25% GP generation rate just like the National Epic
-- Change 'Value' to 0 to prevent any changes
-- =====================
UPDATE MMEagle_StarmanDX

SET Value = 1

WHERE Type = 'MMSTARMAN_MANI_CHANGES';

-- =====================
-- Allow Starman's Revenge Starmen to use their own PSI, using EarthBound: Eagleland as a framework
-- Default: 1 (Yes)
-- Change 'Value' to 0 to prevent Starmen from using any PSI
-- =====================
UPDATE MMEagle_StarmanDX

SET Value = 1

WHERE Type = 'MMSTARMAN_STARMEN_USE_PSI';

-- =====================
-- Allow EarthBound: Eagleland to make changes to the Starmen Units
-- Default: 1 (Yes)
-- Change 'Value' to 0 to prevent any changes
-- =====================
UPDATE MMEagle_StarmanDX

SET Value = 1

WHERE Type = 'MMSTARMAN_STARMEN_CHANGES';







-- =================================================
-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

-- SQL to implement changes start here. DO NOT EDIT!

-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-- =================================================

--Rather than write CASE statements for everything, we'll just crash the file with this SQL statement if Starman's Revenge isn't active
--INSERT INTO Civilizations
--	(Type)
--VALUES
--	((CASE WHEN NOT EXISTS(Select Type FROM Civilizations WHERE Type = 'CIVILIZATION_STARMEN')
--	THEN 'CIVILIZATION_MM_EAGLELAND' 
--	ELSE 'CIV_IGNORE' END));

--Create Starman DX
--Since Starman DX is just Washington with updated values, we just have to copy those changes over
INSERT INTO Leaders
	(Type,					Description,					Civilopedia,					CivilopediaTag,						ArtDefineTag,	
	VictoryCompetitiveness,	WonderCompetitiveness,			MinorCivCompetitiveness,		Boldness,							DiploBalance,						
	WarmongerHate,			WorkAgainstWillingness,			WorkWithWillingness,			DenounceWillingness,				DoFWillingness,
	Loyalty,				Neediness,						Forgiveness,					Chattiness,							Meanness,				
	PortraitIndex,			IconAtlas)
SELECT 
	('LEADER_STARMAN_DX'),	Description,					Civilopedia,					CivilopediaTag,						ArtDefineTag,
	VictoryCompetitiveness, WonderCompetitiveness,			MinorCivCompetitiveness,		Boldness,							DiploBalance,
	WarmongerHate,			WorkAgainstWillingness,			WorkWithWillingness,			DenounceWillingness,				DoFWillingness,				
	Loyalty,				Neediness,						Forgiveness,					Chattiness,							Meanness,
	PortraitIndex,			IconAtlas
FROM Leaders WHERE Type = 'LEADER_WASHINGTON';

INSERT INTO Leader_MajorCivApproachBiases
	(LeaderType,			MajorCivApproachType,			Bias)
SELECT
	('LEADER_STARMAN_DX'),	MajorCivApproachType,			Bias
FROM Leader_MajorCivApproachBiases WHERE LeaderType = 'LEADER_WASHINGTON';

INSERT INTO Leader_MinorCivApproachBiases
	(LeaderType,					MinorCivApproachType,			Bias)
SELECT
	('LEADER_STARMAN_DX'),	MinorCivApproachType,			Bias
FROM Leader_MinorCivApproachBiases WHERE LeaderType = 'LEADER_WASHINGTON';

INSERT INTO Leader_Flavors
	(LeaderType,			FlavorType,			Flavor)
SELECT
	('LEADER_STARMAN_DX'),	FlavorType,			Flavor
FROM Leader_Flavors WHERE LeaderType = 'LEADER_WASHINGTON';

INSERT INTO Leader_Traits
	(LeaderType,			TraitType)
VALUES
	('LEADER_STARMAN_DX',	'TRAIT_STARMAN_LEGION');

UPDATE Civilization_Leaders
SET LeaderheadType = 'LEADER_STARMAN_DX'
WHERE CivilizationType = 'CIVILIZATION_STARMEN';

INSERT INTO Diplomacy_Responses
	(LeaderType,			ResponseType,									Response,														Bias)
VALUES
	('LEADER_STARMAN_DX',	'RESPONSE_FIRST_GREETING',						'TXT_KEY_DELUXE_FIRSTGREETING%',								500),
	('LEADER_STARMAN_DX',	'RESPONSE_DEFEATED',							'TXT_KEY_DELUXE_DEFEATED%',										500),
	('LEADER_STARMAN_DX',	'RESPONSE_GREETING_HOSTILE_HELLO',				'TXT_KEY_DELUXE_GREETING_HOSTILE_HELLO%',						500),
	('LEADER_STARMAN_DX',	'RESPONSE_GREETING_NEUTRAL_HELLO',				'TXT_KEY_DELUXE_GREETING_NEUTRAL_HELLO%',						500),
	('LEADER_STARMAN_DX',	'RESPONSE_GREETING_POLITE_HELLO',				'TXT_KEY_DELUXE_GREETING_POLITE_HELLO%',						500),
	('LEADER_STARMAN_DX',	'RESPONSE_EXPANSION_SERIOUS_WARNING',			'TXT_KEY_DELUXE_EXPANSION_SERIOUS_WARNING%',					500),
	('LEADER_STARMAN_DX',	'RESPONSE_HOSTILE_AGGRESSIVE_MILITARY_WARNING',	'TXT_KEY_DELUXE_HOSTILE_AGGRESSIVE_MILITARY_WARNING%',			500),
	('LEADER_STARMAN_DX',	'RESPONSE_LUXURY_TRADE',						'TXT_KEY_DELUXE_LUXURY_TRADE%',									500),
	('LEADER_STARMAN_DX',	'RESPONSE_OPEN_BORDERS_EXCHANGE',				'TXT_KEY_DELUXE_OPEN_BORDERS_EXCHANGE%',						500),
	('LEADER_STARMAN_DX',	'RESPONSE_REQUEST',								'TXT_KEY_DELUXE_REQUEST%',										500),
	--Lines added by me
	('LEADER_STARMAN_DX',	'RESPONSE_DOW_GENERIC',							'TXT_KEY_DELUXE_DOW_GENERIC%',									500),
	('LEADER_STARMAN_DX',	'RESPONSE_DOW_LAND',							'TXT_KEY_DELUXE_DOW_LAND%',										500),
	('LEADER_STARMAN_DX',	'RESPONSE_DOW_WORLD_CONQUEST',					'TXT_KEY_DELUXE_DOW_WORLD_CONQUEST%',							500),
	('LEADER_STARMAN_DX',	'RESPONSE_DOW_OPPORTUNITY',						'TXT_KEY_DELUXE_DOW_OPPORTUNITY%',								500),
	('LEADER_STARMAN_DX',	'RESPONSE_CAUGHT_YOUR_SPY',						'TXT_KEY_DELUXE_CAUGHT_YOUR_SPY%',								500),
	('LEADER_STARMAN_DX',	'RESPONSE_HUMAN_CAUGHT_YOUR_SPY_GOOD',			'TXT_KEY_DELUXE_HUMAN_CAUGHT_YOUR_SPY_GOOD%',					500),
	('LEADER_STARMAN_DX',	'RESPONSE_HUMAN_CAUGHT_YOUR_SPY_BAD',			'TXT_KEY_DELUXE_HUMAN_CAUGHT_YOUR_SPY_BAD%',					500),
	('LEADER_STARMAN_DX',	'RESPONSE_WORK_AGAINST_SOMEONE',				'TXT_KEY_DELUXE_DENOUNCE%',										500),
	('LEADER_STARMAN_DX',	'RESPONSE_COOP_WAR_REQUEST',					'TXT_KEY_DELUXE_COOP_WAR_REQUEST%',								500),
	('LEADER_STARMAN_DX',	'RESPONSE_ATTACKED_HOSTILE',					'TXT_KEY_DELUXE_ATTACKED_HOSTILE%',								500),
	('LEADER_STARMAN_DX',	'RESPONSE_DOFED_ENEMY',							'TXT_KEY_DELUXE_HUMAN_DOFED_ENEMY%',							500),
	('LEADER_STARMAN_DX',	'RESPONSE_HUMAN_DOF_SO_AI_DENOUNCE',			'TXT_KEY_DELUXE_HUMAN_DOF_SO_AI_DENOUNCE%',						500),
	('LEADER_STARMAN_DX',	'RESPONSE_WORK_WITH_US',						'TXT_KEY_DELUXE_DEC_FRIENDSHIP%',								500),
	('LEADER_STARMAN_DX',	'RESPONSE_RESPONSE_TO_BEING_DENOUNCED',			'TXT_KEY_DELUXE_RESPONSE_TO_BEING_DENOUNCED%',					500);

INSERT INTO Audio_Sounds
	(SoundID,								Filename,			LoadType)
VALUES										
	('SND_LEADER_MUSIC_STARMAN_DX_PEACE',	'Washington_Peace',	'DynamicResident'),
	('SND_LEADER_MUSIC_STARMAN_DX_WAR',		'Washington_War',	'DynamicResident');

INSERT INTO Audio_2DSounds
	(ScriptID,								SoundID,								SoundType,			MinVolume,		MaxVolume,		IsMusic)
VALUES
	('AS2D_LEADER_MUSIC_STARMAN_DX_PEACE',	'SND_LEADER_MUSIC_STARMAN_DX_PEACE',	'GAME_MUSIC',		50,				50,				1),
	('AS2D_LEADER_MUSIC_STARMAN_DX_WAR',	'SND_LEADER_MUSIC_STARMAN_DX_WAR',		'GAME_MUSIC',		50,				50,				1);

--Renable America?
--Anyhow, let's fix Washington regardless
DELETE FROM Leaders
WHERE Type = 'LEADER_WASHINGTON';
INSERT INTO Leaders
	(Type,					Description,					Civilopedia,					CivilopediaTag,						ArtDefineTag,	
	VictoryCompetitiveness,	WonderCompetitiveness,			MinorCivCompetitiveness,		Boldness,							DiploBalance,						
	WarmongerHate,			WorkAgainstWillingness,			WorkWithWillingness,			DenounceWillingness,				DoFWillingness,
	Loyalty,				Neediness,						Forgiveness,					Chattiness,							Meanness,				
	PortraitIndex,			IconAtlas)
VALUES
	('LEADER_WASHINGTON',	'TXT_KEY_LEADER_WASHINGTON',	'TXT_KEY_LEADER_WASHINGTON_PEDIA',	'TXT_KEY_CIVILOPEDIA_LEADERS_GEORGE', 'Washington_Scene.xml',
	4,						3,								5,								7,									6,
	7,						0,								0,								4,									6,
	6,						7,								7,								5,									4,
	0,						'LEADER_ATLAS');

DELETE FROM Leader_MajorCivApproachBiases 
WHERE LeaderType = 'LEADER_WASHINGTON';
INSERT INTO Leader_MajorCivApproachBiases
	(LeaderType,			MajorCivApproachType,			Bias)
VALUES
	('LEADER_WASHINGTON',	'MAJOR_CIV_APPROACH_WAR',		4),
	('LEADER_WASHINGTON',	'MAJOR_CIV_APPROACH_HOSTILE',	3),
	('LEADER_WASHINGTON',	'MAJOR_CIV_APPROACH_DECEPTIVE',	5),
	('LEADER_WASHINGTON',	'MAJOR_CIV_APPROACH_GUARDED',	6),
	('LEADER_WASHINGTON',	'MAJOR_CIV_APPROACH_AFRAID',	4),
	('LEADER_WASHINGTON',	'MAJOR_CIV_APPROACH_FRIENDLY',	7),
	('LEADER_WASHINGTON',	'MAJOR_CIV_APPROACH_NEUTRAL',	5);  

DELETE FROM Leader_MinorCivApproachBiases
WHERE LeaderType = 'LEADER_WASHINGTON';
INSERT INTO Leader_MinorCivApproachBiases
	(LeaderType,			MinorCivApproachType,			Bias)
VALUES
	('LEADER_WASHINGTON',	'MINOR_CIV_APPROACH_IGNORE',	6),
	('LEADER_WASHINGTON',	'MINOR_CIV_APPROACH_FRIENDLY',	7),
	('LEADER_WASHINGTON',	'MINOR_CIV_APPROACH_PROTECTIVE',5),
	('LEADER_WASHINGTON',	'MINOR_CIV_APPROACH_CONQUEST',	4),
	('LEADER_WASHINGTON',	'MINOR_CIV_APPROACH_BULLY',		6);

DELETE FROM Leader_Flavors
WHERE LeaderType = 'LEADER_WASHINGTON';
INSERT INTO Leader_Flavors
	(LeaderType,			FlavorType,					Flavor)
VALUES
	('LEADER_WASHINGTON',	'FLAVOR_OFFENSE',			6),
	('LEADER_WASHINGTON',	'FLAVOR_DEFENSE',			8),
	('LEADER_WASHINGTON',	'FLAVOR_CITY_DEFENSE',		6),
	('LEADER_WASHINGTON',	'FLAVOR_MILITARY_TRAINING',	5),
	('LEADER_WASHINGTON',	'FLAVOR_RECON',				8),
	('LEADER_WASHINGTON',	'FLAVOR_RANGED',			5),
	('LEADER_WASHINGTON',	'FLAVOR_MOBILE',			5),
	('LEADER_WASHINGTON',	'FLAVOR_NAVAL',				5),
	('LEADER_WASHINGTON',	'FLAVOR_NAVAL_RECON',		4),
	('LEADER_WASHINGTON',	'FLAVOR_NAVAL_GROWTH',		5),
	('LEADER_WASHINGTON',	'FLAVOR_NAVAL_TILE_IMPROVEMENT', 5),
	('LEADER_WASHINGTON',	'FLAVOR_AIR',				6),
	('LEADER_WASHINGTON',	'FLAVOR_EXPANSION',			7),
	('LEADER_WASHINGTON',	'FLAVOR_GROWTH',			3),
	('LEADER_WASHINGTON',	'FLAVOR_TILE_IMPROVEMENT',	5),
	('LEADER_WASHINGTON',	'FLAVOR_INFRASTRUCTURE',	5),
	('LEADER_WASHINGTON',	'FLAVOR_PRODUCTION',		5),
	('LEADER_WASHINGTON',	'FLAVOR_GOLD',				6),
	('LEADER_WASHINGTON',	'FLAVOR_SCIENCE',			6),
	('LEADER_WASHINGTON',	'FLAVOR_CULTURE',			6),
	('LEADER_WASHINGTON',	'FLAVOR_HAPPINESS',			7),
	('LEADER_WASHINGTON',	'FLAVOR_GREAT_PEOPLE',		6),
	('LEADER_WASHINGTON',	'FLAVOR_WONDER',			5),
	('LEADER_WASHINGTON',	'FLAVOR_RELIGION',			4),
	('LEADER_WASHINGTON',	'FLAVOR_DIPLOMACY',			7),
	('LEADER_WASHINGTON',	'FLAVOR_SPACESHIP',			8),
	('LEADER_WASHINGTON',	'FLAVOR_WATER_CONNECTION',	5),
	('LEADER_WASHINGTON',	'FLAVOR_NUKE',				6),
	('LEADER_WASHINGTON',	'FLAVOR_USE_NUKE',			8),
	('LEADER_WASHINGTON',	'FLAVOR_ESPIONAGE',			7),
	('LEADER_WASHINGTON',	'FLAVOR_ANTIAIR',			6),
	('LEADER_WASHINGTON',	'FLAVOR_AIR_CARRIER',		8),
	('LEADER_WASHINGTON',	'FLAVOR_ARCHAEOLOGY',		5),
	('LEADER_WASHINGTON',	'FLAVOR_I_LAND_TRADE_ROUTE',	5),
	('LEADER_WASHINGTON',	'FLAVOR_I_SEA_TRADE_ROUTE',	5),
	('LEADER_WASHINGTON',	'FLAVOR_I_TRADE_ORIGIN',	5),
	('LEADER_WASHINGTON',	'FLAVOR_I_TRADE_DESTINATION',	5),
	('LEADER_WASHINGTON',	'FLAVOR_AIRLIFT',			5);

UPDATE Leader_Traits
SET TraitType = 'TRAIT_RIVER_EXPANSION'
WHERE LeaderType = 'LEADER_WASHINGTON';

UPDATE Diplomacy_Responses
SET Response = 'TXT_KEY_LEADER_WASHINGTON_FIRSTGREETING%'
WHERE LeaderType = 'LEADER_WASHINGTON' AND ResponseType = 'RESPONSE_FIRST_GREETING';

UPDATE Diplomacy_Responses
SET Response = 'TXT_KEY_LEADER_WASHINGTON_DEFEAT%'
WHERE LeaderType = 'LEADER_WASHINGTON' AND ResponseType = 'RESPONSE_DEFEAT';

UPDATE Diplomacy_Responses
SET Response = 'TXT_KEY_LEADER_WASHINGTON_GREETING_HOSTILE_HELLO%'
WHERE LeaderType = 'LEADER_WASHINGTON' AND ResponseType = 'RESPONSE_GREETING_HOSTILE_HELLO';

UPDATE Diplomacy_Responses
SET Response = 'TXT_KEY_LEADER_WASHINGTON_NEUTRAL_HELLO%'
WHERE LeaderType = 'LEADER_WASHINGTON' AND ResponseType = 'RESPONSE_GREETING_NEUTRAL_HELLO';

UPDATE Diplomacy_Responses
SET Response = 'TXT_KEY_LEADER_WASHINGTON_POLITE_HELLO%'
WHERE LeaderType = 'LEADER_WASHINGTON' AND ResponseType = 'RESPONSE_GREETING_POLITE_HELLO';

UPDATE Diplomacy_Responses
SET Response = 'TXT_KEY_LEADER_WASHINGTON_EXPANSION_SERIOUS_WARNING%'
WHERE LeaderType = 'LEADER_WASHINGTON' AND ResponseType = 'RESPONSE_EXPANSION_SERIOUS_WARNING';

UPDATE Diplomacy_Responses
SET Response = 'TXT_KEY_LEADER_WASHINGTON_HOSTILE_AGGRESSIVE_MILITARY_WARNING%'
WHERE LeaderType = 'LEADER_WASHINGTON' AND ResponseType = 'RESPONSE_HOSTILE_AGGRESSIVE_MILITARY_WARNING';

UPDATE Diplomacy_Responses
SET Response = 'TXT_KEY_LEADER_WASHINGTON_LUXURY_TRADE%'
WHERE LeaderType = 'LEADER_WASHINGTON' AND ResponseType = 'RESPONSE_LUXURY_TRADE';

UPDATE Diplomacy_Responses
SET Response = 'TXT_KEY_LEADER_WASHINGTON_OPEN_BORDERS_EXCHANGE%'
WHERE LeaderType = 'LEADER_WASHINGTON' AND ResponseType = 'RESPONSE_OPEN_BORDERS_EXCHANGE';

UPDATE Diplomacy_Responses
SET Response = 'TXT_KEY_LEADER_WASHINGTON_REQUEST%'
WHERE LeaderType = 'LEADER_WASHINGTON' AND ResponseType = 'RESPONSE_REQUEST';

UPDATE Civilizations
SET Playable = 1
WHERE Type = 'CIVILIZATION_AMERICA' AND EXISTS(SELECT * FROM MMEagle_StarmanDX WHERE Type = 'MMSTARMAN_REPLACE_AMERICA' AND Value = 0);

UPDATE Civilizations
SET AIPlayable = 1
WHERE Type = 'CIVILIZATION_AMERICA' AND EXISTS(SELECT * FROM MMEagle_StarmanDX WHERE Type = 'MMSTARMAN_REPLACE_AMERICA' AND Value = 0);

--Mani Mani Statue
UPDATE Buildings
SET PrereqTech = 'TECH_DRAMA'							  
WHERE Type = 'BUILDING_MANIMANI' AND EXISTS(SELECT * FROM MMEagle_StarmanDX WHERE Type = 'MMSTARMAN_MANI_CHANGES' AND Value = 1);

UPDATE Buildings
SET Cost = 150
WHERE Type = 'BUILDING_MANIMANI' AND EXISTS(SELECT * FROM MMEagle_StarmanDX WHERE Type = 'MMSTARMAN_MANI_CHANGES' AND Value = 1);
			 
UPDATE Buildings
SET GreatPeopleRateModifier = 25
WHERE Type = 'BUILDING_MANIMANI' AND EXISTS(SELECT * FROM MMEagle_StarmanDX WHERE Type = 'MMSTARMAN_MANI_CHANGES' AND Value = 1);

--Starmen Changes
UPDATE Units
SET UnitFlagAtlas = 'CIV_ALPHA_ATLAS_MM_EAGLELAND'
WHERE Type = 'UNIT_STARMEN' AND EXISTS(SELECT * FROM MMEagle_StarmanDX WHERE Type = 'MMSTARMAN_STARMEN_CHANGES' AND Value = 1);

UPDATE Units
SET UnitFlagIconOffset = 3
WHERE Type = 'UNIT_STARMEN' AND EXISTS(SELECT * FROM MMEagle_StarmanDX WHERE Type = 'MMSTARMAN_STARMEN_CHANGES' AND Value = 1);