
INSERT INTO Improvements 
	(Type, Description, Help, IgnoreOwnership, OutsideBorders, BuildableOnResources, Water, PortraitIndex, IconAtlas)
VALUES
	('IMPROVEMENT_MM_ESCARGO_PICKUP', 'TXT_KEY_IMPROVEMENT_MM_ESCARGO_PICKUP', 'TXT_KEY_MM_IMPROVEMENT_ESCARGO_PICKUP', 0, 1, 0, 0, 36, 'UNIT_ACTION_ATLAS'),
	('IMPROVEMENT_MM_ESCARGO_DELIVERY', 'TXT_KEY_IMPROVEMENT_MM_ESCARGO_DELIVERY', 'TXT_KEY_MM_IMPROVEMENT_MM_ESCARGO_DELIVERY', 1, 0, 0, 0, 36, 'UNIT_ACTION_ATLAS');

INSERT INTO Improvement_ResourceTypes
	(ImprovementType, ResourceType)
	SELECT 'IMPROVEMENT_MM_ESCARGO_PICKUP', Type
	FROM Resources WHERE Type NOT IN('RESOURCE_ARTIFACTS', 'RESOURCE_HIDDEN_ARTIFACTS');

CREATE TRIGGER MM_Escargo
AFTER INSERT ON Resources
BEGIN
	INSERT INTO Improvement_ResourceTypes
	(ImprovementType, ResourceType)
	VALUES ('IMPROVEMENT_MM_ESCARGO_PICKUP', NEW.Type);
END;

INSERT INTO Improvement_ValidTerrains
	(ImprovementType, TerrainType)
	SELECT 'IMPROVEMENT_MM_ESCARGO_DELIVERY', Type
	FROM Terrains;

INSERT INTO Improvement_ValidFeatures
	(ImprovementType, FeatureType)
	SELECT 'IMPROVEMENT_MM_ESCARGO_DELIVERY', Type
	FROM Features WHERE NaturalWonder = 0;

INSERT INTO Builds
	(Type, Time, ImprovementType, Kill, Water, Description, Help, Recommendation, IconIndex, IconAtlas)
VALUES
	('BUILD_MM_COLLECT_RES', 600, 'IMPROVEMENT_MM_ESCARGO_PICKUP', 1, 0, 'TXT_KEY_BUILD_MM_COLLECT_RES', 'TXT_KEY_BUILD_MM_COLLECT_RES_HELP', 'TXT_KEY_BUILD_MM_COLLECT_RES_REC', 36, 'UNIT_ACTION_ATLAS'),
	('BUILD_MM_DROP_OFF_RES', 300, 'IMPROVEMENT_MM_ESCARGO_DELIVERY', 1, 0, 'TXT_KEY_BUILD_MM_DROP_OFF_RES', 'TXT_KEY_BUILD_MM_DROP_OFF_RES_HELP', 'TXT_KEY_BUILD_MM_DROP_OFF_RES_REC', 36, 'UNIT_ACTION_ATLAS');

